%    <CustomTools>
%      <Menu>
%        <Item name="Display Imaris ID" icon="Matlab">
%          <Command>MatlabXT::XTDisplayImarisId(%i)</Command>
%        </Item>
%      </Menu>
%    </CustomTools>

function XTDisplayImarisId(aImarisApplicationID)

vText = sprintf('Imaris id is %i\n\nList of all running applications: ', aImarisApplicationID);
javaaddpath ImarisLib.jar
vImarisLib = ImarisLib;
vServer = vImarisLib.GetServer;
for vIndex = 1:vServer.GetNumberOfObjects
    vId = vServer.GetObjectID(vIndex - 1);
    vApp = vImarisLib.GetApplication(vId);
    vVersion = char(vApp.GetVersion);
    vFileName = char(vApp.GetCurrentFileName);
    if isempty(vFileName)
        vFileName = '(No image loaded)';
    end
    vText = sprintf('%s\nId %i: %s\n-> %s\n', vText, vId, vVersion, vFileName);
end
msgbox(vText, 'XTDisplayImarisId')
